# define these if using CVS version
%global cvs_date 2007.04.28
%global cvs_ver +cvs.%cvs_date

Name:           zipios++
Version:        0.1.5.9
Release:        6%{dist}
License:        LGPLv2+
Summary:        C++ library for reading and writing Zip files
Summary(pl.UTF-8): Biblioteka C++ do odczytu i zapisu plików Zip
Group:          System Environment/Libraries
URL:            http://zipios.sourceforge.net/
# Upstream is dead. Using updated Debian source as they are fixing FTBFS issues.
Source0:        ftp://ftp.debian.org/debian/pool/main/z/%{name}/%{name}_%{version}%{cvs_ver}.orig.tar.gz

Patch0:         zipios++-appendzip.cstdlib.patch
Patch1:         zipios++-amd64_fix.patch
Patch2:         zipios++-fc16-ptrdiff_t.patch

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  zlib-devel
BuildRequires:  cppunit-devel
BuildRequires:  graphviz
BuildRequires:  ImageMagick
BuildRequires:  doxygen


%description
Zipios++ is a java.util.zip-like C++ library for reading and writing
Zip files. Access to individual entries is provided through standard
C++ iostreams. A simple read-only virtual file system that mounts
regular directories and zip files is also provided.

%description -l pl.UTF-8
Zipios++ jest jak java.util.zip biblioteką C++ do odczytywania oraz
zapisywania plików Zip. Dostęp do pojedyńczych wpisów jest możliwy
poprzez standardowe strumienie we/wy C++. Prosty wirtualny system
plików (tylko do odczytu) montujący regularne katalogi oraz pliki zip
również jest dostarczany.


%package devel
Summary:        Header files for zipios++
Summary(pl.UTF-8): Pliki nagłówkowe zipios++
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libstdc++-devel
Requires:       zlib-devel

%description devel
The header files are only needed for development of programs using the
zipios++.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających bibliotek zipios++.


%prep
%setup -q -n %{name}-%{version}%{cvs_ver}

%patch0 -p1 -b .cstdlib
%patch1 -p1 -b .amd64
%patch2 -p1 -b .ptrdiff_t

chmod 0644 COPYING


%build
autoreconf -if
%configure
make %{?_smp_mflags}
make doc


%install
make install DESTDIR=%{buildroot}

# Remove static libs
rm -f %{buildroot}%{_libdir}/*.{a,la}


%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%doc doc/html
%{_libdir}/*.so
%{_includedir}/zipios++


%changelog
* Tue Apr 10 2012 Richard Shaw <hobbes1069@gmail.com> - 0.1.5.9-5
- Cleanup spec file for submission to Fedora.
- Reference Debian source since upstream is dead.

* Thu Mar 29 2012  <jman@greaser.zultron.com> - 0.1.5.9-4
- Rebuild in koji

* Tue Mar 13 2012  <jman@greaser.zultron.com> - 0.1.5.9-3
- Add forgotten 'BuildRequires' entries

* Tue Jan 24 2012 John Morris <jman@caps.zultron.com> - 0.1.5.9-2
- Building for F16
- Adding "using std::ptrdiff_t" hack to get compilation to work; someone who knows C++ should examine this

* Sat Jul 16 2011  <jman@caps.zultron.com> - 0.1.5.9-1
- update RPM to version used in Ubuntu (known to work with FreeCAD)
- configure script exists; remove autoconf steps

* Thu Jul 14 2011  <jman@zultron.com> - 0.1.5-6
- patch "void zipios::ZipOutputStream::putNextEntry (const std::string & entryName)" back into headers:  putNextEntry-header.patch

* Tue Jul 12 2011  <jman@zultron.com> - 0.1.5-5
- C++ header dependency cleanups in patch4; see http://gcc.gnu.org/gcc-4.3/porting_to.html
- Changes for Fedora 13
